#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int k=-1,d=1,v,nv,makss,s,br=0;
    printf("Unesite novac v: ");
    scanf("%d", &v);
    nv=v;
    makss=0;
    while(nv!=0)
    {
        s=0;
        k++;
        s=d*pow(10,k);
        if(s>makss && s<=nv)
            makss=s;
        if(d==1 && s>=nv)
        {
            d=2;
            k=-1;
            s=0;
        }
        if(d==2 && s>=nv)
        {
            d=5;
            k=-1;
            s=0;
        }
        if(d==5 && s>=nv)
        {
            br++;
            nv-=makss;
            makss=0;
            if(nv!=0)
            {
                k=-1;
                d=1;
            }
        }
    }
    printf("Potrebno je najmanje %d novcanica da bi se dobila suma %d", br, v);
}